org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ConnectedComponentTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ConnectedComponentTest

- Direct Known Subclasses:
    ConnectedComponentTest.Traversals

      public abstract class ConnectedComponentTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectedComponentTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedComponentTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_connectedComponent_hasXcomponentX()`
    `void` | `g_V_connectedComponent_withXEDGES_bothEXknowsXX_withXPROPERTY_NAME_clusterX_project_byXnameX_byXclusterX()`
    `void` | `g_V_dedup_connectedComponent_hasXcomponentX()`
    `void` | `g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_connectedComponent_hasXcomponentX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_dedup_connectedComponent_hasXcomponentX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedComponentTest

          public ConnectedComponentTest()

  - ### Method Detail

    - #### get_g_V_connectedComponent_hasXcomponentX

          public abstract Traversal<Vertex,Vertex> get_g_V_connectedComponent_hasXcomponentX()

    - #### get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX()

    - #### get_g_V_dedup_connectedComponent_hasXcomponentX

          public abstract Traversal<Vertex,Vertex> get_g_V_dedup_connectedComponent_hasXcomponentX()

    - #### get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_connectedComponent_withXedges_bothEXknowsXX_withXpropertyName_clusterX_project_byXnameX_byXclusterX()

    - #### g_V_connectedComponent_hasXcomponentX

          public void g_V_connectedComponent_hasXcomponentX()

    - #### g_V_dedup_connectedComponent_hasXcomponentX

          public void g_V_dedup_connectedComponent_hasXcomponentX()

    - #### g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX

          public void g_V_hasLabelXsoftwareX_connectedComponent_project_byXnameX_byXcomponentX()

    - #### g_V_connectedComponent_withXEDGES_bothEXknowsXX_withXPROPERTY_NAME_clusterX_project_byXnameX_byXclusterX

          public void g_V_connectedComponent_withXEDGES_bothEXknowsXX_withXPROPERTY_NAME_clusterX_project_byXnameX_byXclusterX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.